---
inputType: "CA10__CaAwsGuardDutyDetector__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsGuardDutyDetector__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "This GuardDuty Detector is not enabled."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "ENABLED"
  - status: "INCOMPLIANT"
    currentStateMessage: "Malware Protection for EC2 is not enabled for this detector."
    remediationMessage: "Enable Malware Protection for EC2 to detect potential malware on your instances."
    check:
      IS_EQUAL:
        left:
          JSON_QUERY_TEXT:
            expression: "[?name=='EBS_MALWARE_PROTECTION'].status | [0]" 
            arg:
              EXTRACT: "caJsonFrom__featuresJson__c"
            undeterminedIf:
              evaluationError: "Json query text has failed."
              resultTypeMismatch: "Json query text did not return text type."
        right:
          TEXT: "DISABLED"
  - status: "COMPLIANT"
    currentStateMessage: "Malware Protection for EC2 is enabled for this detector."
    check:
      IS_EQUAL:
        left:
          JSON_QUERY_TEXT:
            expression: "[?name=='EBS_MALWARE_PROTECTION'].status | [0]" 
            arg:
              EXTRACT: "caJsonFrom__featuresJson__c"
            undeterminedIf:
              evaluationError: "Json query text has failed."
              resultTypeMismatch: "Json query text did not return text type."
        right:
          TEXT: "ENABLED"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."